net.sf.jasperreports.engine

## Class JRPrintHyperlinkParameter

- java.lang.Object
- - net.sf.jasperreports.engine.JRPrintHyperlinkParameter

- All Implemented Interfaces:
    java.io.Serializable, VirtualizationSerializable

      public class JRPrintHyperlinkParameter
      extends java.lang.Object
      implements java.io.Serializable, VirtualizationSerializable

  A parameter of the hyperlink associated to a print element.
  Version:
    $Id: JRPrintHyperlinkParameter.java 6168 2013-05-16 17:27:14Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_VALUE_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRPrintHyperlinkParameter()` Creates a blank parameter.
    `JRPrintHyperlinkParameter(java.lang.String name, java.lang.String valueClass, java.lang.Object value)` Creates a parameter and initializes its properties.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Returns the parameter name.
    `java.lang.Object` | `getValue()` Returns the parameter value.
    `java.lang.String` | `getValueClass()` Returns the parameter value class name.
    `void` | `readVirtualized(VirtualizationInput in)`
    `void` | `setName(java.lang.String name)` Sets the parameter name.
    `void` | `setValue(java.lang.Object value)` Sets the parameter value.
    `void` | `setValueClass(java.lang.String valueClass)` Sets the parameter value class.
    `void` | `writeVirtualized(VirtualizationOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_VALUE_CLASS

          public static final java.lang.String DEFAULT_VALUE_CLASS

  - ### Constructor Detail

    - #### JRPrintHyperlinkParameter

          public JRPrintHyperlinkParameter()

      Creates a blank parameter.

    - #### JRPrintHyperlinkParameter

          public JRPrintHyperlinkParameter(java.lang.String name,
                                   java.lang.String valueClass,
                                   java.lang.Object value)

      Creates a parameter and initializes its properties.
      Parameters:
        `name` - the parameter name
        `valueClass` - the parameter value class
        `value` - the parameter value

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns the parameter name.
      Returns:
        the parameter name
      See Also:
        `setName(String)`

    - #### getValueClass

          public java.lang.String getValueClass()

      Returns the parameter value class name.
      Returns:
        the parameter value class
      See Also:
        `setValueClass(String)`

    - #### getValue

          public java.lang.Object getValue()

      Returns the parameter value.
      Returns:
        the parameter value
      See Also:
        `setValue(Object)`

    - #### setName

          public void setName(java.lang.String name)

      Sets the parameter name.
      Parameters:
        `name` - the name

    - #### setValueClass

          public void setValueClass(java.lang.String valueClass)

      Sets the parameter value class.
      Parameters:
        `valueClass` - the value class name

    - #### setValue

          public void setValue(java.lang.Object value)

      Sets the parameter value.
      Parameters:
        `value` - the value

    - #### writeVirtualized

          public void writeVirtualized(VirtualizationOutput out)
                                throws java.io.IOException

      Specified by:
        `writeVirtualized` in interface `VirtualizationSerializable`
      Throws:
        `java.io.IOException`

    - #### readVirtualized

          public void readVirtualized(VirtualizationInput in)
                               throws java.io.IOException

      Specified by:
        `readVirtualized` in interface `VirtualizationSerializable`
      Throws:
        `java.io.IOException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com